Get Template
curl --request GET \
--url https://api.example.com/api/v1/templates/{template_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/templates/{template_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"template_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"content": {
"subject": "<string>",
"body": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}templates
Get Template
Get a specific template by ID.
Args: template_id: Template ID current_user: Authenticated user information service: Campaign service instance
Returns: Template response
GET
/
api
/
v1
/
templates
/
{template_id}
Get Template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Response model for email template.
Unique template identifier
Owner user ID
Template name
Email content
Show child attributes
Show child attributes
Creation timestamp
Last update timestamp
⌘I